//
// VIRTUAL PANELS * GRAPHIC USER UNTERFACE FOR LABORATORY WORKS
//
//		VPBOARD.H : CLASS: Board
//
//                       |	 Written by O.Rasizade
//    declarations       | 	   Sept 1992
//                       |
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef __cplusplus
#error Must use C++
#endif

#ifndef __VPBOARD_H
#define __VPBOARD_H



//+++++++++++++++++++++++++++++++++++++++++++++++++
//++++++++++++ CLASS   << BOARD >>  +++++++++++++++
//+++++++++++++++++++++++++++++++++++++++++++++++++

//------------------------------ Class declaration  --

class Board: public plaque, public object
{
 protected:

  COLORS titlecolor;

 public:

 int y0p;		// y-coord where title ends

  //----- Constructor ------- All coord. and sizes in VGA pixels ----
  Board(
	int _x0,int _y0,// left top coord where to paint the board
	objtype _type,	// may be FIXED,PERM,POPUP
	char *_title, 	// title
	int xlength,int ylength,  	   // size of board
				//---------- Hereafter are defaults
	void (far *_paintproc)()=procNULL,// proc created by programmer
					   // to repaint board, only for PERM
	int  _titlefont=0,int _titlefontsize=1,	//font and size of title
	COLORS _titlecolor=RED,
	plaquecolors brdcolcnfg=plaquecoldflt);  //colors of board

//---------------

virtual void  Paint(void);
virtual	void  MovetoXY(int _x0,int _y0);
	void  ChangeSize(int xlength,int ylength);

};//++++++++++++++ END of class Board +++++++++++++++++++

#endif // __VPBOARD_H